import type { AstroIntegration } from 'astro';
import type { CmsConfig } from 'netlify-cms-core';
interface NetlifyCMSOptions {
    /**
     * Path at which the Netlify CMS admin dashboard should be served.
     * @default '/admin'
     */
    adminPath?: string;
    config: Omit<CmsConfig, 'load_config_file' | 'local_backend'>;
    previewStyles?: Array<string | [string] | [string, {
        raw: boolean;
    }]>;
}
export default function NetlifyCMS({ adminPath, config: cmsConfig, previewStyles, }: NetlifyCMSOptions): AstroIntegration[];
export {};
